Subject: Re: Why does 'submodule add' stage the relevant portions?

From: Jonathan Nieder <[email-masked]>
Date: Mon, 25 Mar 2013 11:50:32 -0700

Ramkumar Ramachandra wrote:

> Okay, I'm confused: why are you waiting for 2.0 to change push.default
> then?  Isn't that just a "slightly better default at the porcelain
> level" and hence a "regular enhancement"?

No.  Among other aspects, "git push" is used heavily by scripts.